> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/use-cases-and-tutorials/shippers-erp-wms/manage-the-address-book.md).

# Manage the address book

### Managing logistic site

You can create/modify/delete address thank to [`https://api.dashdoc.eu/api/v4/addresses/`](https://api.dashdoc.eu/api/v4/addresses/)

There is two type of address :

* Address without company : if you don't need to send notification to that address
* Address with company : if you need to send notification to that address

Exemple of Json :

```
{
    "name": "Transport Bouvet",
    "remote_id": "COMP_123_ADR_1",
    "address": "3 rue des champs",
    "city": "Nantes",
    "postcode": "44000",
    "country": "FR",
    "latitude": -52.5561625,
    "longitude": 92.896504,
    "radius": 500,
    "coords_validated": false,
    "is_origin": true,
    "is_destination": true,
    "company": { ---> optionnal
        "pk": 928,
        "remote_id": "COMP_123",
        "trade_number": "12345678901234",
        "name": "Transport Bouvet"
        }
}
```

### Managing Partner

To create/modify Carrier and Shipper, you need to use : [`https://api.dashdoc.eu/api/v4/companies/`](https://api.dashdoc.eu/api/v4/companies/)

{% hint style="danger" %}
Please note that a company can have one primary\_address and several addresses but partner information are only using primary\_address
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.dashdoc.com/docs/use-cases-and-tutorials/shippers-erp-wms/manage-the-address-book.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
